Set country for verification
curl --request POST \
--url https://api.dataspike.io/api/v3/sdk/{short_id}/set_country \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"country": "DE"
}
'import requests
url = "https://api.dataspike.io/api/v3/sdk/{short_id}/set_country"
payload = { "country": "DE" }
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({country: 'DE'})
};
fetch('https://api.dataspike.io/api/v3/sdk/{short_id}/set_country', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}SDK
Set country for verification
Use this endpoint if country of POI document not auto detected during upload. This manually set applicant country for verification.
POST
/
api
/
v3
/
sdk
/
{short_id}
/
set_country
Set country for verification
Authorizations
Path Parameters
Existing Verification Short Id
Example:
"VDBA1B2EA6A28A7D2"
Body
application/json
Two-letter ISO 3166-1 ALPHA-2 code, reference https://www.iban.com/country-codes
Example:
"DE"
Response
200 - application/json
Updated
Response with message
Set custom fields for applicant by short verification id
Previous
Upload custom files to verification
Next
⌘I